%define api 0.1
%define major 1
%define libname %mklibname visio %{api} %{major}
%define devname %mklibname visio -d

Summary:	A library providing ability to interpret and import visio diagrams
Name:		libvisio
Version:	0.1.0
Release:	2
License:	GPLv2+ or LGPLv2+ or MPLv1.1
Group:		System/Libraries
Url:		http://www.freedesktop.org/wiki/Software/libvisio
Source0:	http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.bz2
BuildRequires:	doxygen
BuildRequires:	gperf
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(libwpd-0.10)
BuildRequires:	pkgconfig(libwpg-0.3)
BuildRequires:	pkgconfig(libxml-2.0)

%description
Libvisio is library providing ability to interpret and import visio diagrams
into various applications. You can find it being used in libreoffice.

#----------------------------------------------------------------------------

%package tools
Summary:	Tools to transform Visio diagrams into other formats
Group:		Publishing

%description tools
Tools to transform Visio diagrams into other formats.
Currently supported: XHTML, raw.

%files tools
%{_bindir}/vsd2raw
%{_bindir}/vsd2xhtml
%{_bindir}/vsd2text
%{_bindir}/vss2xhtml
%{_bindir}/vss2text
%{_bindir}/vss2raw

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library providing ability to interpret and import visio diagrams
Group:		System/Libraries

%description -n %{libname}
Libvisio is library providing ability to interpret and import visio diagrams
into various applications. You can find it being used in libreoffice.

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devname}
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/html
%{_includedir}/%{name}-%{api}
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-werror
    
%make

%install
%makeinstall_std


%changelog
* Mon Sep 01 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.1.0-2
+ Revision: 3b25a58
- Fix BuildRequires, spec cleanup


